---
title: Managing Iterations
---

Sometimes, an activity must be run in multiple _iterations_ with a small number of students in each group. MPyT deals with this by treating all activities as consisting of iterations. For large activities like lectures, we create a _single_ iteration of the activity.

## Creating a new iteration

To create a new iteration, select an _activity_ in the interface. The activity will be highlighted in a different colour. Once the activity is selected click on the 'edit' button to show the iteration planner.

**SCREENSHOT OF ITERATION PLANNER HERE**

## Designing the iterations

For a large activity, like a lecture, you can ignore most of the first page and leave them as the defaults.
For activites which must be split into smaller groups, the group sizes and number of staff required can be set on this page.

## Creating the iterations

The second tab lets you create iterations for your activity. Select the _add_ bottom right of the iterface to create a new iteration. You can then edit the table to update this iterations details (such as providing a name and remarks for planning).

### Assigning Staff
Staff can be attached to an iteration by clicking on the _staff_ cell for that iteration. A window showing the available staff should pop up. If a staff member has multiple contracts, all the contracts available for scheduling will be listed seperately. Click on the tick box next to a staff member's name to assign them to this iteration. You can assign as many staff as required for a session as needed for this session.

You can check staff workloads using the [Reports]() feature.

### Assigning Rooms
Room allocation works the same way as allocating staff. Click on the room cell for the iteration you wish to plan for and select the room pools you wish to allocate. If multiple room pools are selected, the system will try to allocate both.

You can check room allocations using the [Reports]() feature.

### Remarks
Remarks can be used to communicate anything extra to the timetabling team. We use this for communicating things which the system cannot automatically process (for example, specialist requirements or courses when allocating iterations via course).

## Duplicating Iterations

Sometimes, it is neccerary mass-create duplicate iterations (for example, for assessments). You can *right click* on a row to duplicate entries, the system will prompt you for a number of duplications to create.

## Copying and Pasting iterations

Its sometimes necceary to duplicate iterations across activities (for example, group work that spans multiple modules). You can select iterations then right click to copy them to another activity. Open the iteration planner for that activity and paste them to duplicate the rooms, staff and iteration details to a target activity.
